<html devsite><head>
    <title>Android 安全公告 - 2017 年 1 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>发布时间：2017 年 1 月 3 日 | 更新时间：2017 年 2 月 2 日</em></p>

<p>本 Android 安全公告详细介绍了会影响 Android 设备的安全漏洞。在发布本公告的同时，我们还通过无线下载 (OTA) 更新的方式发布了针对 Google 设备的安全更新。我们还在 <a href="https://developers.google.com/android/nexus/images">Google Developers 网站</a>上发布了 Google 设备固件映像。2017 年 1 月 5 日（或之后）的安全补丁程序级别均已解决所有这些问题。请参阅 <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Pixel 和 Nexus 更新时间表</a>，了解如何查看设备的安全补丁程序级别。</p>

<p>我们的合作伙伴在 2016 年 12 月 5 日（或之前）就已收到本公告中说明的这些问题的相关通知。我们已将针对这些问题的源代码补丁程序发布到 Android 开源项目 (AOSP) 代码库中，并在本公告中提供了相应链接。本公告还提供了 AOSP 之外的补丁程序的链接。</p>

<p>这些问题中危险性最高的是一个严重程度为“严重”的安全漏洞。当系统处理媒体文件时，攻击者可以利用该漏洞通过多种方式（例如电子邮件、网页浏览和彩信等）在受影响的设备上远程执行代码。<a href="/security/overview/updates-resources.html#severity">严重程度评估</a>的依据是漏洞被利用后可能会对受影响的设备造成的影响（假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用）。</p>

<p>尚未有人向我们举报过有用户主动利用或滥用这些新报告的问题。请参阅 <a href="#mitigations">Android 和 Google 服务缓解措施</a>部分，详细了解有助于提高 Android 平台安全性的 <a href="/security/enhancements/index.html">Android 安全平台防护功能</a>和服务防护功能（如 <a href="https://developer.android.com/training/safetynet/index.html">SafetyNet</a>）。</p>

<p>我们建议所有用户都在自己的设备上接受这些更新。</p>

<h2 id="announcements">公告</h2>
<ul>
  <li>本公告有 2 个安全补丁程序级别字符串，目的是让 Android 合作伙伴能够灵活地、更快速地修复在各种 Android 设备上类似的一系列漏洞。如需了解详情，请参阅<a href="#common-questions-and-answers">常见问题和解答</a>：
   <ul>
     <li><strong>2017-01-01</strong>：部分安全补丁程序级别字符串。该安全补丁程序级别字符串表明 2017-01-01（以及之前的所有安全补丁程序级别字符串）涵盖的所有问题均已得到解决。</li>
     <li><strong>2017-01-05</strong>：完整安全补丁程序级别字符串。该安全补丁程序级别字符串表明 2017-01-01 和 2017-01-05（以及之前的所有安全补丁程序级别字符串）涵盖的所有问题均已得到解决。</li>
   </ul>
  </li>
  <li>受支持的 Google 设备将收到一项安全补丁程序级别为 2017 年 1 月 5 日的 OTA 更新。</li>
</ul>
<h2 id="security-vulnerability-summary">安全漏洞摘要</h2>
<p>下表列出了安全漏洞、对应的 CVE（常见漏洞和风险识别码）、评估得出的严重程度以及是否会影响 Google 设备。<a href="/security/overview/updates-resources.html#severity">严重程度评估</a>的依据是漏洞被利用后可能会对受影响的设备造成的影响（假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用）。</p>

<h2 id="mitigations">Android 和 Google 服务缓解措施</h2>
<p>这一部分总结了 <a href="/security/enhancements/index.html">Android 安全平台</a>和服务防护功能（如 SafetyNet）提供的缓解措施。这些功能有助于降低 Android 上的安全漏洞被成功利用的可能性。</p>
<ul>
  <li>较高版本的 Android 平台中提供的增强功能让攻击者更加难以利用 Android 上存在的许多问题。我们建议所有用户都尽可能更新到最新版 Android。</li>
  <li>Android 安全团队会积极利用<a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_2015_Report_Final.pdf">“验证应用”功能和 SafetyNet</a> 监控滥用行为，这些功能会在发现<a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_PHA_classifications.pdf">可能有害的应用</a>时向用户发出警告。在预装有 <a href="http://www.android.com/gms">Google 移动服务</a>的设备上，“验证应用”在默认情况下处于启用状态。对于安装来自 Google Play 以外的应用的用户来说，这项功能尤为重要。Google Play 中禁止提供能够获取设备 root 权限的工具，当用户尝试安装被检测出能够获取 root 权限的应用时（无论应用来自何处），“验证应用”功能会向用户发出警告。另外，“验证应用”功能还会尝试识别并阻止用户安装会利用提权漏洞的已知恶意应用。如果用户已安装此类应用，那么“验证应用”功能将会通知用户，并尝试移除检测出的恶意应用。</li>
  <li>由于已做了适当更新，因此 Google 环聊和 Messenger 应用不会自动将媒体内容传递给 Mediaserver 之类的进程。</li>
</ul>
<h2 id="acknowledgements">致谢</h2>
<p>我们衷心感谢以下研究人员做出的贡献：</p>
<ul>
  <li>Alexandru Blanda：CVE-2017-0390</li>
  <li>Copperhead Security 的 Daniel Micay：CVE-2017-0397</li>
  <li>腾讯玄武实验室的 Daxing Guo (<a href="https://twitter.com/freener0">@freener0</a>)：CVE-2017-0386</li>
  <li><a href="mailto:derrek.haxx@gmail.com">derrek</a> (<a href="https://twitter.com/derrekr6">@derrekr6</a>)：CVE-2017-0392</li>
  <li>腾讯科恩实验室 (<a href="https://twitter.com/keen_lab">@keen_lab</a>) 的 Di Shen (<a href="https://twitter.com/returnsme">@returnsme</a>)：CVE-2016-8412、CVE-2016-8444、CVE-2016-8427、CVE-2017-0403</li>
  <li>加利福尼亚大学圣巴巴拉分校 Shellphish Grill 团队的 donfos (Aravind Machiry)：CVE-2016-8448、CVE-2016-8470、CVE-2016-8471、CVE-2016-8472</li>
  <li><a href="http://www.ms509.com">MS509Team</a> 的 En He (<a href="http://twitter.com/heeeeen4x">@heeeeen4x</a>)：CVE-2017-0394</li>
  <li>奇虎 360 科技有限公司 IceSword 实验室的 Gengjia Chen (<a href="https://twitter.com/chengjia4574">@chengjia4574</a>) 和 <a href="http://weibo.com/jfpan">pjf</a>：CVE-2016-8464</li>
  <li>Google WebM 团队：CVE-2017-0393</li>
  <li><a href="http://www.360.com">奇虎 360 科技有限公司</a> Alpha 团队的龚广 (<a href="http://twitter.com/oldfresher">@oldfresher</a>)：CVE-2017-0387</li>
  <li>奇虎 360 科技有限公司 Alpha 团队的 Hao Chen 和 Guang Gong：CVE-2016-8415、CVE-2016-8454、CVE-2016-8455、CVE-2016-8456、CVE-2016-8457、CVE-2016-8465</li>
  <li>奇虎 360 IceSword 实验室的 Jianqiang Zhao (<a href="https://twitter.com/jianqiangzhao">@jianqiangzhao</a>) 和 <a href="http://weibo.com/jfpan">pjf</a>：CVE-2016-8475</li>
  <li>Jon Sawyer (<a href="http://twitter.com/jcase">@jcase</a>) 和 Sean Beaupre (<a href="https://twitter.com/firewaterdevs">@firewaterdevs</a>)：CVE-2016-8462</li>
  <li>Jon Sawyer (<a href="http://twitter.com/jcase">@jcase</a>)、Sean Beaupre (<a href="https://twitter.com/firewaterdevs">@firewaterdevs</a>) 和 Ben Actis (<a href="https://twitter.com/ben_ra">@Ben_RA</a>)：CVE-2016-8461</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 Mingjian Zhou (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>)、Yuqi Lu (<a href="https://twitter.com/nikos233__">@nikos233</a>)、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2017-0383</li>
  <li>Monk Avel：CVE-2017-0396、CVE-2017-0399</li>
  <li>趋势科技的 Peter Pi (<a href="https://twitter.com/heisecode">@heisecode</a>)：CVE-2016-8469、CVE-2016-8424、CVE-2016-8428、CVE-2016-8429、CVE-2016-8460、CVE-2016-8473、CVE-2016-8474</li>
  <li>腾讯科恩实验室的何淇丹 (<a href="https://twitter.com/flanker_hqd">@flanker_hqd</a>)：CVE-2017-0382</li>
  <li>IBM X-Force 安全研究团队的 Roee Hay 和 Michael Goberman：CVE-2016-8467</li>
  <li>趋势科技移动威胁研究团队的 Seven Shen (<a href="https://twitter.com/lingtongshen">@lingtongshen</a>)：CVE-2016-8466</li>
  <li>Stephen Morrow：CVE-2017-0389</li>
  <li><a href="http://www.trendmicro.com">趋势科技</a>移动威胁研究团队的 V.E.O (<a href="https://twitter.com/vysea">@VYSEa</a>)：CVE-2017-0381</li>
  <li>阿里巴巴的 Weichao Sun (<a href="https://twitter.com/sunblate">@sunblate</a>)：CVE-2017-0391</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:vancouverdou@gmail.com">Wenke Dou</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2017-0402、CVE-2017-0398</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:vancouverdou@gmail.com">Wenke Dou</a>、<a href="mailto:arnow117@gmail.com">Hanxiang Wen</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2017-0400</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:vancouverdou@gmail.com">Wenke Dou</a>、<a href="mailto:hlhan@bupt.edu.cn">Hongli Han</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2017-0384、CVE-2017-0385</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:vancouverdou@gmail.com">Wenke Dou</a>、Yuqi Lu (<a href="https://twitter.com/nikos233__">@nikos233</a>)、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2017-0401</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:yaojun8558363@gmail.com">Yao Jun</a>、<a href="mailto:computernik@gmail.com">Yuan-Tsung Lo</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2016-8431、CVE-2016-8432、CVE-2016-8435</li>
  <li>阿里巴巴的王勇 (<a href="https://twitter.com/ThomasKing2014">@ThomasKing2014</a>) 和 Jun Cheng：CVE-2017-0404</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:computernik@gmail.com">Yuan-Tsung Lo</a>、<a href="mailto:segfault5514@gmail.com">Tong Lin</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2016-8425、CVE-2016-8426、CVE-2016-8449</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:computernik@gmail.com">Yuan-Tsung Lo</a>、<a href="mailto:bigwyfone@gmail.com">Yanfeng Wang</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2016-8430、CVE-2016-8482</li>
  <li>腾讯安全平台部门的 Yuxiang Li (<a href="https://twitter.com/xbalien29">@Xbalien29</a>)：CVE-2017-0395</li>
  <li><a href="http://www.cmcm.com/">猎豹移动公司</a>安全研究实验室的 Zhanpeng Zhao（行之）(<a href="https://twitter.com/0xr0ot">@0xr0ot</a>)：CVE-2016-8451</li>
</ul>
<p>此外，还要感谢以下研究人员对本公告做出的贡献：</p>
<ul>
  <li>阿里巴巴移动安全团队的 Baozeng Ding、Chengming Yang、Peng Xiao、Ning You、Yang Dong、Chao Yang、Yi Zhang 和 Yang Song</li>
  <li>趋势科技的 Peter Pi (<a href="https://twitter.com/heisecode">@heisecode</a>)</li>
  <li>Google 的 Zubin Mithra</li>
</ul>

<h2 id="2017-01-01-details">2017-01-01 安全补丁程序级别 - 漏洞详情</h2>
<p>
我们在下面提供了 2017-01-01 补丁程序级别涵盖的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关参考内容、严重程度、已更新的 Google 设备、已更新的 AOSP 版本（如果适用）及报告日期。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多参考内容。</p>

<h3 id="rce-in-c-ares">c-ares 中的远程代码执行漏洞</h3>
<p>
c-ares 中有一个远程代码执行漏洞，攻击者可以利用该漏洞使用蓄意创建的请求通过非特权进程执行任意代码。由于攻击者可以利用该漏洞在使用此库的应用中远程执行代码，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-5180</td>
    <td><a href="https://android.googlesource.com/platform/external/c-ares/+/f4baf84f285bfbdebb89b2fef8a955720f00c677">A-32205736</a></td>
    <td>高</td>
    <td>所有</td>
    <td>7.0</td>
    <td>2016 年 9 月 29 日</td>
  </tr>
</tbody></table>

<h3 id="rce-vulnerability-in-framesequence">Framesequence 中的远程代码执行漏洞</h3>
<p>
Framesequence 库中的远程代码执行漏洞可让攻击者利用蓄意创建的文件通过非特权进程执行任意代码。由于攻击者可以利用该漏洞在使用 Framesequence 库的应用中远程执行代码，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0382</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/ex/+/7f0e3dab5a892228d8dead7f0221cc9ae82474f7">A-32338390</a></td>
   <td>高</td>
   <td>所有</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 21 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-framework-apis">Framework API 中的提权漏洞</h3>
<p>
Framework API 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于攻击者可以利用该漏洞使第三方应用在本地获取超出规定的权能，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0383</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/native/+/e5753ba087fa59ee02f6026cc13b1ceb42a1f266">A-31677614</a></td>
   <td>高</td>
   <td>所有</td>
   <td>7.0、7.1.1</td>
   <td>2016 年 9 月 21 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-audioserver">Audioserver 中的提权漏洞</h3>
<p>
Audioserver 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于攻击者可以利用该漏洞使第三方应用在本地获取超出规定的权能，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0384</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/321ea5257e37c8edb26e66fe4ee78cca4cd915fe">A-32095626</a></td>
   <td>高</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 11 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0385</td>
   <td><a href="https://android.googlesource.com/platform/hardware/qcom/audio/+/ed79f2cc961d7d35fdbbafdd235c1436bcd74358">A-32585400</a></td>
   <td>高</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 11 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-libnl">libnl 中的提权漏洞</h3>
<p>
libnl 库中有一个提权漏洞，本地恶意应用可以该漏洞通过特权进程执行任意代码。由于攻击者可以利用该漏洞使第三方应用在本地获取超出规定的权能，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0386</td>
   <td><a href="https://android.googlesource.com/platform/external/libnl/+/f0b40192efd1af977564ed6335d42a8bbdaf650a">A-32255299</a></td>
   <td>高</td>
   <td>所有</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 18 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-mediaserver">Mediaserver 中的提权漏洞</h3>
<p>
Mediaserver 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于攻击者可以利用该漏洞使第三方应用在本地获取超出规定的权能，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0387</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/native/+/675e212c8c6653825cc3352c603caf2e40b00f9f">A-32660278</a></td>
   <td>高</td>
   <td>所有</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 11 月 4 日</td>
  </tr>
</tbody></table>
<h3 id="id-in-external-storage-provider">外部存储空间提供程序中的信息披露漏洞</h3>
<p>
外部存储空间提供程序中有一个信息披露漏洞，本地次要用户可以利用该漏洞读取主要用户插入的外部 SD 存储卡中的数据。由于攻击者可以利用该漏洞在未经许可的情况下访问数据，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0388</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/47e62b7fe6807a274ba760a8fecfd624fe792da9">A-32523490</a></td>
   <td>高</td>
   <td>所有</td>
   <td>6.0、6.0.1、7.0、7.1.1</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<h3 id="dos-in-core-networking">核心网络组件中的拒绝服务漏洞</h3>
<p>
核心网络组件中有一个拒绝服务漏洞，远程攻击者可以利用该漏洞使用特制网络数据包挂起或重启设备。由于攻击者可以利用该漏洞远程发起拒绝服务攻击，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0389</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/a014b6be3c7c6fb5cf9352a05baf84fca7a133c7">A-31850211</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/47e81a2596b00ee7aaca58716ff164a1708b0b29">2</a>] [<a href="https://android.googlesource.com/platform/frameworks/base/+/006e0613016c1a0e0627f992f5a93a7b7198edba#">3</a>]</td>
   <td>高</td>
   <td>所有</td>
   <td>6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 7 月 20 日</td>
  </tr>
</tbody></table>
<h3 id="dos-in-mediaserver">Mediaserver 中的拒绝服务漏洞</h3>
<p>
Mediaserver 中有一个远程拒绝服务漏洞，远程攻击者可以利用该漏洞使用特制文件挂起或重启设备。由于攻击者可以利用该漏洞远程发起拒绝服务攻击，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0390</td>
   <td><a href="https://android.googlesource.com/platform/external/tremolo/+/5dc99237d49e73c27d3eca54f6ccd97d13f94de0">A-31647370</a></td>
   <td>高</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 9 月 19 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0391</td>
   <td><a href="https://android.googlesource.com/platform/external/libhevc/+/a33f6725d7e9f92330f995ce2dcf4faa33f6433f">A-32322258</a></td>
   <td>高</td>
   <td>所有</td>
   <td>6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 20 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0392</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/453b351ac5bd2b6619925dc966da60adf6b3126c">A-32577290</a></td>
   <td>高</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 29 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0393</td>
   <td><a href="https://android.googlesource.com/platform/external/libvpx/+/6886e8e0a9db2dbad723dc37a548233e004b33bc">A-30436808</a></td>
   <td>高</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>Google 内部</td>
  </tr>
</tbody></table>
<h3 id="dos-in-telephony">Telephony 中的拒绝服务漏洞</h3>
<p>
Telephony 中的拒绝服务漏洞可让远程攻击者挂起或重启设备。由于攻击者可以利用该漏洞远程发起拒绝服务攻击，因此我们将该漏洞的严重程度评为“高”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0394</td>
   <td><a href="https://android.googlesource.com/platform/packages/services/Telephony/+/1cdced590675ce526c91c6f8983ceabb8038f58d">A-31752213</a></td>
   <td>高</td>
   <td>所有</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 9 月 23 日</td>
  </tr>
</tbody></table>
<h3 id="eop-in-contacts">通讯录中的提权漏洞</h3>
<p>
通讯录中的提权漏洞可让本地恶意应用在后台创建联系人信息。由于攻击者可以利用该漏洞在本地绕过用户互动要求（例如使用通常需要由用户启动的功能或需要获得用户许可才能使用的功能），因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0395</td>
   <td><a href="https://android.googlesource.com/platform/packages/apps/ContactsCommon/+/d47661ad82d402c1e0c90eb83970687d784add1b">A-32219099</a></td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 15 日</td>
  </tr>
</tbody></table>
<h3 id="id-in-mediaserver">Mediaserver 中的信息披露漏洞</h3>
<p>
Mediaserver 中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞在未经许可的情况下获取敏感数据，因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0381</td>
    <td><a href="https://android.googlesource.com/platform/external/libopus/+/0d052d64480a30e83fcdda80f4774624e044beb7">A-31607432</a></td>
    <td>中</td>
    <td>所有</td>
    <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 9 月 18 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0396</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/557bd7bfe6c4895faee09e46fc9b5304a956c8b7">A-31781965</a></td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 9 月 27 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0397</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/7a3246b870ddd11861eda2ab458b11d723c7f62c">A-32377688</a></td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 21 日</td>
  </tr>
</tbody></table>
<h3 id="id-in-audioserver">Audioserver 中的信息披露漏洞</h3>
<p>
Audioserver 中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞在未经许可的情况下访问敏感数据，因此我们将该漏洞的严重程度评为“中”。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>严重程度</th>
   <th>已更新的 Google 设备</th>
   <th>已更新的 AOSP 版本</th>
   <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0398</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/26965db50a617f69bdefca0d7533796c80374f2c">A-32438594</a></td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 25 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0398</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/26965db50a617f69bdefca0d7533796c80374f2c">A-32635664</a></td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 25 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0398</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/26965db50a617f69bdefca0d7533796c80374f2c">A-32624850</a></td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 25 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0399</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c66c43ad571ed2590dcd55a762c73c90d9744bac">A-32247948</a> [<a href="https://android.googlesource.com/platform/hardware/qcom/audio/+/d72ea85c78a1a68bf99fd5804ad9784b4102fe57">2</a>]</td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 18 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0400</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c66c43ad571ed2590dcd55a762c73c90d9744bac">A-32584034</a> [<a href="https://android.googlesource.com/platform/hardware/qcom/audio/+/d72ea85c78a1a68bf99fd5804ad9784b4102fe57">2</a>]</td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 25 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0401</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/321ea5257e37c8edb26e66fe4ee78cca4cd915fe">A-32448258</a></td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 26 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0402</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c66c43ad571ed2590dcd55a762c73c90d9744bac">A-32436341</a> [<a href="https://android.googlesource.com/platform/hardware/qcom/audio/+/d72ea85c78a1a68bf99fd5804ad9784b4102fe57">2</a>]</td>
   <td>中</td>
   <td>所有</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 25 日</td>
  </tr>
</tbody></table>

<h2 id="2017-01-05-details">2017-01-05 安全补丁程序级别 - 漏洞详情</h2>
<p>我们在下面提供了 2017-01-05 补丁程序级别涵盖的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关参考内容、严重程度、已更新的 Google 设备、已更新的 AOSP 版本（如果适用）及报告日期。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的更改记录，我们还将通过 Bug ID 后面的数字链接到更多参考内容。</p>

<h3 id="eop-in-kernel-memory-subsystem">内核内存子系统中的提权漏洞</h3>
<p>
内核内存子系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2015-3288</td>
    <td>A-32460277<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6b7339f4c31ad69c8e9c0b2859276e22cf72176d">上游内核</a></td>
    <td>严重</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
    <td>2015 年 7 月 9 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-qualcomm-bootloader">Qualcomm 引导加载程序中的提权漏洞</h3>
<p>
Qualcomm 引导加载程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8422</td>
    <td>A-31471220<br />
        <a href="https://source.codeaurora.org/quic/la//kernel/lk/commit/?id=d6639f0a77f8ebfc1e05f3acdf12d5588e7e6213">QC-CR#979426</a></td>
    <td>严重</td>
    <td>Nexus 6、Nexus 6P、Pixel、Pixel XL</td>
    <td>2016 年 7 月 22 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8423</td>
    <td>A-31399736<br />
        <a href="https://source.codeaurora.org/quic/la//kernel/lk/commit/?id=98db6cc526fa1677da05d54785937540cdc84867">QC-CR#1000546</a></td>
    <td>严重</td>
    <td>Nexus 6P、Pixel、Pixel XL</td>
    <td>2016 年 8 月 24 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-kernel-file-system">内核文件系统中的提权漏洞</h3>
<p>
内核文件系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2015-5706</td>
    <td>A-32289301<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f15133df088ecadd141ea1907f2c96df67c729f0">上游内核</a></td>
    <td>严重</td>
    <td>无*</td>
    <td>2016 年 8 月 1 日</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>

<h3 id="eop-in-nvidia-gpu-driver">NVIDIA GPU 驱动程序中的提权漏洞</h3>
<p>
NVIDIA GPU 驱动程序中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8424</td>
    <td>A-31606947*<br />N-CVE-2016-8424</td>
    <td>严重</td>
    <td>Nexus 9</td>
    <td>2016 年 9 月 17 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8425</td>
    <td>A-31797770*<br />N-CVE-2016-8425</td>
    <td>严重</td>
    <td>Nexus 9</td>
    <td>2016 年 9 月 28 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8426</td>
    <td>A-31799206*<br />N-CVE-2016-8426</td>
    <td>严重</td>
    <td>Nexus 9</td>
    <td>2016 年 9 月 28 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8482</td>
    <td>A-31799863*<br />N-CVE-2016-8482</td>
    <td>严重</td>
    <td>Nexus 9</td>
    <td>2016 年 9 月 28 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8427</td>
    <td>A-31799885*<br />N-CVE-2016-8427</td>
    <td>严重</td>
    <td>Nexus 9</td>
    <td>2016 年 9 月 28 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8428</td>
    <td>A-31993456*<br />N-CVE-2016-8428</td>
    <td>严重</td>
    <td>Nexus 9</td>
    <td>2016 年 10 月 6 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8429</td>
    <td>A-32160775*<br />N-CVE-2016-8429</td>
    <td>严重</td>
    <td>Nexus 9</td>
    <td>2016 年 10 月 13 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8430</td>
    <td>A-32225180*<br />N-CVE-2016-8430</td>
    <td>严重</td>
    <td>Nexus 9</td>
    <td>2016 年 10 月 17 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8431</td>
    <td>A-32402179*<br />N-CVE-2016-8431</td>
    <td>严重</td>
    <td>Pixel C</td>
    <td>2016 年 10 月 25 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8432</td>
    <td>A-32447738*<br />N-CVE-2016-8432</td>
    <td>严重</td>
    <td>Pixel C</td>
    <td>2016 年 10 月 26 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-mediatek-driver">MediaTek 驱动程序中的提权漏洞</h3>
<p>
MediaTek 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8433</td>
    <td>A-31750190*<br />MT-ALPS02974192</td>
    <td>严重</td>
    <td>无**</td>
    <td>2016 年 9 月 24 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<p>
**运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持的 Google 设备不受该漏洞的影响。
</p>

<h3 id="eop-in-qualcomm-gpu-driver">Qualcomm GPU 驱动程序中的提权漏洞</h3>
<p>
Qualcomm GPU 驱动程序中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8434</td>
    <td>A-32125137<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.14/commit/?id=3e3866a5fced40ccf9ca442675cf915961efe4d9">QC-CR#1081855</a></td>
    <td>严重</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P、Android One</td>
    <td>2016 年 10 月 12 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-nvidia-gpu-driver-2">NVIDIA GPU 驱动程序中的提权漏洞</h3>
<p>
NVIDIA GPU 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8435</td>
    <td>A-32700935*<br />N-CVE-2016-8435</td>
    <td>严重</td>
    <td>Pixel C</td>
    <td>2016 年 11 月 7 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-qualcomm-video-driver">Qualcomm 视频驱动程序中的提权漏洞</h3>
<p>
Qualcomm 视频驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8436</td>
    <td>A-32450261<br />
        <a href="https://source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?id=228e8d17b9f5d22cf9896ab8eff88dc6737c2ced">QC-CR#1007860</a></td>
    <td>严重</td>
    <td>无*</td>
    <td>2016 年 10 月 13 日</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持的 Google 设备不受该漏洞的影响。
</p>

<h3 id="vulnerabilities-in-qualcomm-components">Qualcomm 组件中的漏洞</h3>
<p>
下列漏洞会影响 Qualcomm 组件；此外，2015 年 11 月、2016 年 8 月、2016 年 9 月和 2016 年 10 月的 Qualcomm AMSS 安全公告也对这些安全漏洞进行了详细说明。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度*</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8438</td>
    <td>A-31624565**</td>
    <td>严重</td>
    <td>无***</td>
    <td>Qualcomm 内部</td>
  </tr>
  <tr>
    <td>CVE-2016-8442</td>
    <td>A-31625910**</td>
    <td>严重</td>
    <td>无***</td>
    <td>Qualcomm 内部</td>
  </tr>
  <tr>
    <td>CVE-2016-8443</td>
    <td>A-32576499**</td>
    <td>严重</td>
    <td>无***</td>
    <td>Qualcomm 内部</td>
  </tr>
  <tr>
    <td>CVE-2016-8437</td>
    <td>A-31623057**</td>
    <td>高</td>
    <td>无***</td>
    <td>Qualcomm 内部</td>
  </tr>
  <tr>
    <td>CVE-2016-8439</td>
    <td>A-31625204**</td>
    <td>高</td>
    <td>无***</td>
    <td>Qualcomm 内部</td>
  </tr>
  <tr>
    <td>CVE-2016-8440</td>
    <td>A-31625306**</td>
    <td>高</td>
    <td>无***</td>
    <td>Qualcomm 内部</td>
  </tr>
  <tr>
    <td>CVE-2016-8441</td>
    <td>A-31625904**</td>
    <td>高</td>
    <td>无***</td>
    <td>Qualcomm 内部</td>
  </tr>
  <tr>
    <td>CVE-2016-8398</td>
    <td>A-31548486**</td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P、Android One</td>
    <td>Qualcomm 内部</td>
  </tr>
  <tr>
    <td>CVE-2016-8459</td>
    <td>A-32577972**</td>
    <td>高</td>
    <td>无***</td>
    <td>Qualcomm 内部</td>
  </tr>
  <tr>
    <td>CVE-2016-5080</td>
    <td>A-31115235**</td>
    <td>中</td>
    <td>Nexus 5X</td>
    <td>Qualcomm 内部</td>
  </tr>
</tbody></table>
<p>
*这些漏洞的严重程度评级由供应商决定。
</p>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<p>
***运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持的 Google 设备不受该漏洞的影响。
</p>

<h3 id="eop-in-qualcomm-camera">Qualcomm 摄像头中的提权漏洞</h3>
<p>
Qualcomm 摄像头中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8412</td>
    <td>A-31225246<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=42a98c44669d92dafcf4d6336bdccaeb2db12786">QC-CR#1071891</a></td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
    <td>2016 年 8 月 26 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8444</td>
    <td>A-31243641*<br />QC-CR#1074310</td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P</td>
    <td>2016 年 8 月 26 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-mediatek-components">MediaTek 组件中的提权漏洞</h3>
<p>
MediaTek 组件（包括热驱动程序和视频驱动程序）中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8445</td>
    <td>A-31747590*<br />MT-ALPS02968983</td>
    <td>高</td>
    <td>无**</td>
    <td>2016 年 9 月 25 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8446</td>
    <td>A-31747749*<br />MT-ALPS02968909</td>
    <td>高</td>
    <td>无**</td>
    <td>2016 年 9 月 25 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8447</td>
    <td>A-31749463*<br />MT-ALPS02968886</td>
    <td>高</td>
    <td>无**</td>
    <td>2016 年 9 月 25 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8448</td>
    <td>A-31791148*<br />MT-ALPS02982181</td>
    <td>高</td>
    <td>无**</td>
    <td>2016 年 9 月 28 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<p>
**运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持的 Google 设备不受该漏洞的影响。
</p>

<h3 id="eop-in-qualcomm-wi-fi-driver">Qualcomm WLAN 驱动程序中的提权漏洞</h3>
<p>
Qualcomm WLAN 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8415</td>
    <td>A-31750554<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=188e12a816508b11771f362c852782ec9a6f9394">QC-CR#1079596</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 9 月 26 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-nvidia-gpu-driver-3">NVIDIA GPU 驱动程序中的提权漏洞</h3>
<p>
NVIDIA GPU 驱动程序中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8449</td>
    <td>A-31798848*<br />N-CVE-2016-8449</td>
    <td>高</td>
    <td>Nexus 9</td>
    <td>2016 年 9 月 28 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-qualcomm-sound-driver">Qualcomm 声音驱动程序中的提权漏洞</h3>
<p>
Qualcomm 声音驱动程序中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8450</td>
    <td>A-32450563<br />
        <a href="https://source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?id=e909d159ad1998ada853ed35be27c7b6ba241bdb">QC-CR#880388</a></td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P、Android One</td>
    <td>2016 年 10 月 13 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-synaptics-touchscreen-driver">Synaptics 触摸屏驱动程序中的提权漏洞</h3>
<p>
Synaptics 触摸屏驱动程序中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8451</td>
    <td>A-32178033*</td>
    <td>高</td>
    <td>无**</td>
    <td>2016 年 10 月 13 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<p>
**运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>

<h3 id="eop-in-kernel-security-subsystem">内核安全子系统中的提权漏洞</h3>
<p>
内核安全子系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-7042</td>
    <td>A-32178986<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=03dab869b7b239c4e013ec82aea22e181e441cfc">上游内核</a></td>
    <td>高</td>
    <td>Pixel C</td>
    <td>2016 年 10 月 14 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-kernel-performance-subsystem">内核效能子系统中的提权漏洞</h3>
<p>
内核效能子系统中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0403</td>
    <td>A-32402548*</td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
    <td>2016 年 10 月 25 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-kernel-sound-subsystem">内核声音子系统中的提权漏洞</h3>
<p>
内核声音子系统中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0404</td>
    <td>A-32510733*</td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6P、Nexus 9、Pixel C、Nexus Player、Pixel、Pixel XL</td>
    <td>2016 年 10 月 27 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-qualcomm-wi-fi-driver-2">Qualcomm WLAN 驱动程序中的提权漏洞</h3>
<p>
Qualcomm WLAN 驱动程序中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8452</td>
    <td>A-32506396<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=39fa8e972fa1b10dc68a066f4f9432753d8a2526">QC-CR#1050323</a></td>
    <td>高</td>
    <td>Nexus 5X、Android One、Pixel、Pixel XL</td>
    <td>2016 年 10 月 28 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-qualcomm-radio-driver">Qualcomm 无线装置驱动程序中的提权漏洞</h3>
<p>
Qualcomm 无线装置驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-5345</td>
    <td>A-32639452<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=67118716a2933f6f30a25ea7e3946569a8b191c6">QC-CR#1079713</a></td>
    <td>高</td>
    <td>Android One</td>
    <td>2016 年 11 月 3 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-kernel-profiling-subsystem">内核配置子系统中的提权漏洞</h3>
<p>
内核配置子系统中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-9754</td>
    <td>A-32659848<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=59643d1535eb220668692a5359de22545af579f6">上游内核</a></td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player</td>
    <td>2016 年 11 月 4 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-broadcom-wi-fi-driver">Broadcom WLAN 驱动程序中的提权漏洞</h3>
<p>
Broadcom WLAN 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8453
</td>
    <td>A-24739315*<br />B-RB#73392</td>
    <td>高</td>
    <td>Nexus 6</td>
    <td>Google 内部</td>
  </tr>
  <tr>
    <td>CVE-2016-8454</td>
    <td>A-32174590*<br />B-RB#107142</td>
    <td>高</td>
    <td>Nexus 6、Nexus 6P、Nexus 9、Pixel C、Nexus Player</td>
    <td>2016 年 10 月 14 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8455</td>
    <td>A-32219121*<br />B-RB#106311</td>
    <td>高</td>
    <td>Nexus 6P</td>
    <td>2016 年 10 月 15 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8456</td>
    <td>A-32219255*<br />B-RB#105580</td>
    <td>高</td>
    <td>Nexus 6、Nexus 6P、Nexus 9、Pixel C、Nexus Player</td>
    <td>2016 年 10 月 15 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8457</td>
    <td>A-32219453*<br />B-RB#106116</td>
    <td>高</td>
    <td>Nexus 6、Nexus 6P、Nexus 9、Pixel C</td>
    <td>2016 年 10 月 15 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-synaptics-touchscreen-driver-2">Synaptics 触摸屏驱动程序中的提权漏洞</h3>
<p>
Synaptics 触摸屏驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8458</td>
    <td>A-31968442*</td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6P、Nexus 9、Android One、Pixel、Pixel XL</td>
    <td>Google 内部</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="id-in-nvidia-video-driver">NVIDIA 视频驱动程序中的信息披露漏洞</h3>
<p>
NVIDIA 视频驱动程序中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞在未经用户明确许可的情况下访问敏感数据，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8460</td>
    <td>A-31668540*<br />N-CVE-2016-8460</td>
    <td>高</td>
    <td>Nexus 9</td>
    <td>2016 年 9 月 21 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="id-in-bootloader">引导加载程序中的信息披露漏洞</h3>
<p>
引导加载程序中有一个信息披露漏洞，本地攻击者可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞访问敏感数据，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8461</td>
    <td>A-32369621*</td>
    <td>高</td>
    <td>Nexus 9、Pixel、Pixel XL</td>
    <td>2016 年 10 月 21 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8462</td>
    <td>A-32510383*</td>
    <td>高</td>
    <td>Pixel、Pixel XL</td>
    <td>2016 年 10 月 27 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="dos-in-qualcomm-fuse-file-system">Qualcomm FUSE 文件系统中的拒绝服务漏洞</h3>
<p>
Qualcomm FUSE 文件系统中的拒绝服务漏洞可让远程攻击者使用特制文件挂起或重启设备。由于攻击者可以利用该漏洞远程发起拒绝服务攻击，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8463</td>
    <td>A-30786860<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=cd0fa86de6ca1d40c0a93d86d1c0f7846e8a9a10">QC-CR#586855</a></td>
    <td>高</td>
    <td>无*</td>
    <td>2014 年 1 月 3 日</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>

<h3 id="dos-in-bootloader">引导加载程序中的拒绝服务漏洞</h3>
<p>
引导加载程序中有一个拒绝服务漏洞，攻击者可以利用该漏洞在本地发起永久拒绝服务攻击，而用户可能需要重写操作系统才能修复设备。由于攻击者可以利用该漏洞在本地发起永久拒绝服务攻击，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8467</td>
    <td>A-30308784*</td>
    <td>高</td>
    <td>Nexus 6、Nexus 6P</td>
    <td>2016 年 6 月 29 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-broadcom-wi-fi-driver-2">Broadcom WLAN 驱动程序中的提权漏洞</h3>
<p>
Broadcom WLAN 驱动程序中的提权漏洞可让本地恶意应用通过内核执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，而且该漏洞可由当前平台配置缓解，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8464</td>
    <td>A-29000183*<br />B-RB#106314</td>
    <td>中</td>
    <td>Nexus 6、Nexus 6P、Nexus 9、Pixel C、Nexus Player</td>
    <td>2016 年 5 月 26 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8466</td>
    <td>A-31822524*<br />B-RB#105268</td>
    <td>中</td>
    <td>Nexus 6、Nexus 6P、Nexus 9、Pixel C、Nexus Player</td>
    <td>2016 年 9 月 28 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8465</td>
    <td>A-32474971*<br />B-RB#106053</td>
    <td>中</td>
    <td>Nexus 6、Nexus 6P、Nexus 9、Pixel C、Nexus Player</td>
    <td>2016 年 10 月 27 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-binder">Binder 中的提权漏洞</h3>
<p>
Binder 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于攻击者在利用该漏洞时需要先入侵特权进程，而且该漏洞可由当前平台配置缓解，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8468</td>
    <td>A-32394425*</td>
    <td>中</td>
    <td>Pixel C、Pixel、Pixel XL</td>
    <td>Google 内部</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="id-in-nvidia-camera-driver">NVIDIA 摄像头驱动程序中的信息披露漏洞</h3>
<p>
摄像头驱动程序中有一个信息披露漏洞，本地恶意应用可以该漏洞访问超出其权限范围的数据。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8469</td>
    <td>A-31351206*<br />N-CVE-2016-8469</td>
    <td>中</td>
    <td>Nexus 9</td>
    <td>2016 年 9 月 7 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="id-in-mediatek-driver">MediaTek 驱动程序中的信息披露漏洞</h3>
<p>
MediaTek 驱动程序中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8470</td>
    <td>A-31528889*<br />MT-ALPS02961395</td>
    <td>中</td>
    <td>无**</td>
    <td>2016 年 9 月 15 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8471</td>
    <td>A-31528890*<br />MT-ALPS02961380</td>
    <td>中</td>
    <td>无**</td>
    <td>2016 年 9 月 15 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8472</td>
    <td>A-31531758*<br />MT-ALPS02961384</td>
    <td>中</td>
    <td>无**</td>
    <td>2016 年 9 月 15 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<p>
**运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持的 Google 设备不受该漏洞的影响。
</p>

<h3 id="id-in-stmicroelectronics-driver">STMicroelectronics 驱动程序中的信息披露漏洞</h3>
<p>
STMicroelectronics 驱动程序中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8473</td>
    <td>A-31795790*</td>
    <td>中</td>
    <td>Nexus 5X、Nexus 6P</td>
    <td>2016 年 9 月 28 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8474</td>
    <td>A-31799972*</td>
    <td>中</td>
    <td>Nexus 5X、Nexus 6P</td>
    <td>2016 年 9 月 28 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="id-in-qualcomm-audio-post-processor-">Qualcomm 音频后期处理程序中的信息披露漏洞</h3>
<p>
Qualcomm 音频后期处理程序中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞在未经许可的情况下获取敏感数据，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
   <td>CVE-2017-0399
   </td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c66c43ad571ed2590dcd55a762c73c90d9744bac">A-32588756</a> [<a href="https://android.googlesource.com/platform/hardware/qcom/audio/+/d72ea85c78a1a68bf99fd5804ad9784b4102fe57">2</a>]</td>
   <td>中</td>
   <td>所有</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 18 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0400</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c66c43ad571ed2590dcd55a762c73c90d9744bac">A-32438598</a> [<a href="https://android.googlesource.com/platform/hardware/qcom/audio/+/d72ea85c78a1a68bf99fd5804ad9784b4102fe57">2</a>]</td>
   <td>中</td>
   <td>所有</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 25 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0401</td>
   <td><a href="https://android.googlesource.com/platform/hardware/qcom/audio/+/ed79f2cc961d7d35fdbbafdd235c1436bcd74358">A-32588016</a>
   </td>
   <td>中</td>
   <td>所有</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 26 日</td>
  </tr>
  <tr>
   <td>CVE-2017-0402</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c66c43ad571ed2590dcd55a762c73c90d9744bac">A-32588352</a> [<a href="https://android.googlesource.com/platform/hardware/qcom/audio/+/d72ea85c78a1a68bf99fd5804ad9784b4102fe57">2</a>]</td>
   <td>中</td>
   <td>所有</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
   <td>2016 年 10 月 25 日</td>
  </tr>
</tbody></table>

<h3 id="id-in-htc-input-driver">HTC 输入驱动程序中的信息披露漏洞</h3>
<p>
HTC 输入驱动程序中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8475</td>
    <td>A-32591129*</td>
    <td>中</td>
    <td>Pixel、Pixel XL</td>
    <td>2016 年 10 月 30 日</td>
  </tr>
</tbody></table>
<p>
*我们尚未发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="dos-in-kernel-file-system">内核文件系统中的拒绝服务漏洞</h3>
<p>
内核文件系统中有一个拒绝服务漏洞，本地恶意应用可以利用该漏洞使设备挂起或重新启动。由于攻击者可以利用该漏洞发起暂时拒绝服务攻击，而用户可能需要将设备恢复出厂设置才能将其修复，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2014-9420</td>
    <td>A-32477499<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f54e18f1b831c92f6512d2eedb224cd63d607d3d">上游内核</a></td>
    <td>中</td>
    <td>Pixel C</td>
    <td>2014 年 12 月 25 日</td>
  </tr>
</tbody></table>

<h2 id="common-questions-and-answers">常见问题和解答</h2>
<p>这一部分解答了用户在阅读本公告后可能会提出的常见问题。</p>

<p><strong>1. 如何确定我的设备是否已更新到解决了这些问题的版本？
</strong></p>

<p>要了解如何检查设备的安全补丁程序级别，请阅读 <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Pixel 和 Nexus 更新时间表</a>中的说明。</p>
<ul>
  <li>2017-01-01（或之后）的安全补丁程序级别解决了与 2017-01-01 安全补丁程序级别相关的所有问题。</li>
  <li>2017-01-05（或之后）的安全补丁程序级别解决了与 2017-01-05 安全补丁程序级别以及之前的所有补丁程序级别相关的所有问题。</li>
</ul>
<p>提供这些更新的设备制造商应将补丁程序字符串级别设为：</p>
<ul>
  <li>[ro.build.version.security_patch]:[2017-01-01]</li>
  <li>[ro.build.version.security_patch]:[2017-01-05]</li>
</ul>
<p><strong>2. 为何本公告会有 2 个安全补丁程序级别？</strong></p>

<p>本公告有 2 个安全补丁程序级别，目的是让 Android 合作伙伴能够灵活地、更快速地修复所有 Android 设备上类似的一系列漏洞。我们建议 Android 合作伙伴修复本公告中的所有问题并使用最新的安全补丁程序级别。</p>
<ul>
  <li>使用 2017 年 1 月 1 日安全补丁程序级别的设备必须包含该安全补丁程序级别对应的所有问题的修复方案，以及针对之前的安全公告中报告的所有问题的修复方案。</li>
  <li>使用 2017 年 1 月 5 日或更新的安全补丁程序级别的设备必须包含此（以及之前的）安全公告中的所有适用补丁程序。</li>
</ul>
<p>我们建议合作伙伴在一次更新中汇总要解决的所有问题的修复方案。</p>

<p><strong>3. 如何确定各个问题都会影响哪些 Google 设备？</strong></p>

<p>在 <a href="#2017-01-01-details">2017-01-01</a> 和 <a href="#2017-01-05-details">2017-01-05</a> 安全漏洞详情部分中，每个表均包含“已更新的 Google 设备”列，其中列出了针对每个问题更新过的受影响的 Google 设备系列。<em></em>此列有以下几种情形：</p>
<ul>
  <li><strong>所有 Google 设备</strong>：如果某个问题会影响所有 Nexus 和 Pixel 设备，则相应表的“已更新的 Google 设备”列中会显示“所有”。<em></em>“所有”包含下列<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">受支持的设备</a>：Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Nexus Player、Pixel C、Pixel 和 Pixel XL。</li>
  <li><strong>部分 Google 设备</strong>：如果某个问题仅会影响部分 Google 设备，则“已更新的 Google 设备”列中会列出受影响的 Google 设备。<em></em></li>
  <li><strong>无 Google 设备</strong>：如果某个问题不会影响任何运行最新版 Android 的 Google 设备，则相应表的“已更新的 Google 设备”列中会显示“无”。<em></em></li>
</ul>
<p><strong>4.“参考内容”列中的条目表示什么意思？</strong></p>

<p>在漏洞详情表内，“参考内容”列中的条目可能包含用于标识参考值所属组织的前缀。<em></em>这些前缀的含义如下：</p>

<table>
  <tbody><tr>
   <th>前缀</th>
   <th>参考内容</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android Bug ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm 参考编号</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek 参考编号</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA 参考编号</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Broadcom 参考编号</td>
  </tr>
</tbody></table>
<h2 id="revisions">修订版本</h2>
<ul>
 <li>2017 年 1 月 3 日：发布了本公告。</li>
 <li>2017 年 1 月 4 日：修订了本公告，添加了 AOSP 链接。</li>
 <li>2017 年 1 月 5 日：阐明了从 7.1 到 7.1.1 的 AOSP 版本号。</li>
 <li>2017 年 1 月 12 日：移除了 CVE-2016-8467 的重复条目。</li>
 <li>2017 年 1 月 24 日：更新了 CVE-2017-0381 的说明和严重程度。</li>
 <li>2017 年 2 月 2 日：更新了 CVE-2017-0389（增加了额外的补丁程序链接）。</li>
</ul>

</body></html>